POST https://api.acedata.cloud/webextrator/render
Authentication
AddAuthorization: Bearer <your API Key> in the request header.
Request Parameters
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
url | string | ✅ | - | The URL of the page to render |
user_agent | string | ❌ | System default | Custom User-Agent |
timeout | number | ❌ | 30000 | Timeout for a single render (milliseconds), max 120000 |
wait_until | string | ❌ | load | Load completion event: load/domcontentloaded/networkidle |
delay | number | ❌ | 0 | Additional wait time after load completion (milliseconds), max 30000 |
wait_for_selector | string | ❌ | - | Wait for the specified CSS selector to appear |
block_resources | string[] | ❌ | - | Block resource types: image/media/font/stylesheet, etc. |
headers | object | ❌ | - | Additional HTTP headers |
cookies | array | ❌ | - | List of cookies, elements like {name, value, domain, path} |
callback_url | string | ❌ | - | Callback URL for async mode; if provided, returns task ID immediately, results via POST callback |
Synchronous Response (without callback_url)
Asynchronous Mode (with callback_url)
Initial response:x-usage-exempt: true, indicating this synchronous handshake is free of charge. Once the task is completed, the platform will send a POST request to the callback_url. The request body contains the data field from the synchronous response plus the same task_id / trace_id / started_at / finished_at / elapsed fields.
Error Response
bad_request / forbidden / too_many_requests / not_found / api_error / timeout / unknown / busy.

